View Javadoc

    1   /*
    2    * Copyright 2004-2005 the original author or authors.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *      http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    13   * See the License for the specific language governing permissions and
    14   * limitations under the License.
    15   */
    16  package groovy.lang;
    17
    18  import java.net.URL;
    19  import java.net.MalformedURLException;
    20
    21  /***
    22   * Allows frameworks that integrate with Groovy to determine how Groovy files are resolved.
    23   *
    24   * @author Steven Devijver
    25   */
    26  public interface GroovyResourceLoader {
    27
    28      /***
    29       * Loads a Groovy source file given its name.
    30       *
    31       * @param filename name of the file
    32       * @return a URL
    33       */
    34      public URL loadGroovySource(String filename) throws MalformedURLException;
    35  }